<!-- Copyright 2020 The Chromium Authors. All rights reserved.
     Use of this source code is governed by a BSD-style license that can be
     found in the LICENSE file. -->

<link rel="import" href="chrome://resources/html/polymer.html">

<link rel="import" href="chrome://resources/cr_elements/cr_lottie/cr_lottie.html">

<link rel="import" href="/components/common_styles.html">
<link rel="import" href="/components/oobe_dialog.html">
<link rel="import" href="/components/oobe_i18n_behavior.html">

<dom-module id="gesture-navigation-element">
  <template>
    <style include="oobe-common">
      .gesture-animation {
        height: 300px;
        width: 300px;
      }

      .gesture-animation-container {
        height: 300px;
        margin-top: -22px;
        overflow: hidden;
        width: 300px;
      }

      .gesture-list-item {
        display: flex;
        height: 46px;
        padding-bottom: 4px;
      }

      .gesture-list-item-icon {
        align-self: flex-start;
        height: 24px;
        margin: auto;
        width: 24px;
      }

      .gesture-list-item-text {
        flex: 1 1 auto;
        margin: auto;
        padding-inline-start: 16px;
      }
    </style>
    <oobe-dialog id="gestureIntro" has-buttons for-step="gestureIntro"
        title-key="gestureNavigationIntroTitle"
        aria-label$="[[i18nDynamic(locale, 'gestureNavigationIntroTitle')]]">
      <img slot="oobe-icon" src="images/gestures.svg" width="32" height="32">
      <div slot="footer" class="flex layout vertical">
        <div class="gesture-list-item">
          <img class="gesture-list-item-icon" src="images/home.svg">
          <div class="gesture-list-item-text">
            [[i18nDynamic(locale, 'gestureNavigationIntroGoHomeItem')]]
          </div>
        </div>
        <div class="gesture-list-item">
          <img class="gesture-list-item-icon" src="images/overview.svg">
          <div class="gesture-list-item-text">
            [[i18nDynamic(locale, 'gestureNavigationIntroSwitchAppItem')]]
          </div>
        </div>
        <div class="gesture-list-item">
          <img class="gesture-list-item-icon" src="images/back.svg">
          <div class="gesture-list-item-text">
              [[i18nDynamic(locale, 'gestureNavigationIntroGoBackItem')]]
          </div>
        </div>
      </div>
      <div slot="bottom-buttons" class="flex layout horizontal end-justified">
        <oobe-text-button inverse on-click="onNext_"
            id="gesture-intro-next-button" class="focus-on-show"
            text-key="gestureNavigationIntroNextButton">
        </oobe-text-button>
      </div>
    </oobe-dialog>

    <oobe-dialog id="gestureHome" has-buttons for-step="gestureHome"
        title-key="gestureNavigationHomeTitle"
        subtitle-key="gestureNavigationHomeDescription"
        aria-label$="[[i18nDynamic(locale, 'gestureNavigationHomeTitle')]]">
      <img slot="oobe-icon" src="images/home.svg" width="32" height="32">
      <div slot="footer" class="flex layout vertical center">
        <div class="gesture-animation-container">
          <cr-lottie animation-url="gesture_go_home.json"
                     class="gesture-animation">
          </cr-lottie>
        </div>
      </div>
      <div slot="back-navigation">
        <oobe-back-button on-click="onBack_"
            id="gesture-home-back-button"></oobe-back-button>
      </div>
      <div slot="bottom-buttons">
        <oobe-next-button on-click="onNext_" class="focus-on-show"
            id="gesture-home-next-button"></oobe-next-button>
      </div>
    </oobe-dialog>

    <oobe-dialog id="gestureOverview" has-buttons for-step="gestureOverview"
        title-key="gestureNavigationOverviewTitle"
        subtitle-key="gestureNavigationOverviewDescription"
        aria-label$="[[i18nDynamic(locale, 'gestureNavigationOverviewTitle')]]">
      <img slot="oobe-icon" src="images/overview.svg" width="32" height="32">
      <div slot="footer" class="flex layout vertical center">
        <div class="gesture-animation-container">
          <cr-lottie animation-url="gesture_hotseat_overview.json"
                     class="gesture-animation">
          </cr-lottie>
        </div>
      </div>
      <div slot="back-navigation">
        <oobe-back-button on-click="onBack_"
            id="gesture-overview-back-button"></oobe-back-button>
      </div>
      <div slot="bottom-buttons">
        <oobe-next-button on-click="onNext_" class="focus-on-show"
            id="gesture-overview-next-button"></oobe-next-button>
      </div>
    </oobe-dialog>

    <oobe-dialog id="gestureBack" has-buttons for-step="gestureBack"
        title-key="gestureNavigationBackTitle"
        subtitle-key="gestureNavigationBackDescription"
        aria-label$="[[i18nDynamic(locale, 'gestureNavigationBackTitle')]]">
      <img slot="oobe-icon" src="images/back.svg" width="32" height="32">
      <div slot="footer" class="flex layout vertical center">
        <div class="gesture-animation-container">
          <cr-lottie animation-url="gesture_go_back.json"
                      class="gesture-animation">
          </cr-lottie>
        </div>
      </div>
      <div slot="back-navigation">
        <oobe-back-button on-click="onBack_"
            id="gesture-back-back-button"></oobe-back-button>
      </div>
      <div slot="bottom-buttons">
        <oobe-next-button on-click="onNext_" class="focus-on-show"
            id="gesture-back-next-button"></oobe-next-button>
      </div>
    </oobe-dialog>
  </template>
</dom-module>
